Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.transform
[Java] Class SingletonASTTransformation

    java.lang.Object
      org.codehaus.groovy.transform.SingletonASTTransformation

All Implemented Interfaces:
  ASTTransformation, org.objectweb.asm.Opcodes

    @GroovyASTTransformation(phase= CompilePhase.CANONICALIZATION)
    public class SingletonASTTransformation
    extends Object

Handles generation of code for the

Singleton:
  annotation

Authors:
  Alex Tkachman

Method Summary
`void` | `visit(ASTNode[] nodes, SourceUnit source)` @param nodes the ast nodes

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### visit

    public void visit(ASTNode[] nodes, SourceUnit source)

  Parameters:
    `nodes` - the ast nodes
    `source` - the source unit for the nodes

Copyright © 2003-2010 The Codehaus. All rights reserved.